Open CASCADE Technology: GeomFill_DegeneratedBound Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
GeomFill_DegeneratedBound Class Reference

Description of a degenerated boundary (a point). Class defining a degenerated boundary for a constrained filling with a point and no other constraint. Only used to simulate an ordinary bound, may not be usefull and desapear soon. More...

`#include <GeomFill_DegeneratedBound.hxx>`

Inheritance diagram for GeomFill_DegeneratedBound:
[legend]

## Public Member Functions
| GeomFill_DegeneratedBound (const gp_Pnt &Point, const Standard_Real First, const Standard_Real Last, const Standard_Real Tol3d, const Standard_Real Tolang)
gp_Pnt | Value (const Standard_Real U) const
void | D1 (const Standard_Real U, gp_Pnt &P, gp_Vec &V) const
void | Reparametrize (const Standard_Real First, const Standard_Real Last, const Standard_Boolean HasDF, const Standard_Boolean HasDL, const Standard_Real DF, const Standard_Real DL, const Standard_Boolean Rev)
void | Bounds (Standard_Real &First, Standard_Real &Last) const
Standard_Boolean | IsDegenerated () const
Public Member Functions inherited from GeomFill_Boundary
virtual Standard_Boolean | HasNormals () const
virtual gp_Vec | Norm (const Standard_Real U) const
virtual void | D1Norm (const Standard_Real U, gp_Vec &N, gp_Vec &DN) const
void | Points (gp_Pnt &PFirst, gp_Pnt &PLast) const
Standard_Real | Tol3d () const
void | Tol3d (const Standard_Real Tol)
Standard_Real | Tolang () const
void | Tolang (const Standard_Real Tol)
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Additional Inherited Members
Protected Member Functions inherited from GeomFill_Boundary
| GeomFill_Boundary (const Standard_Real Tol3d, const Standard_Real Tolang)

## Detailed Description

Description of a degenerated boundary (a point). Class defining a degenerated boundary for a constrained filling with a point and no other constraint. Only used to simulate an ordinary bound, may not be usefull and desapear soon.

## Constructor & Destructor Documentation

GeomFill_DegeneratedBound::GeomFill_DegeneratedBound | ( | const gp_Pnt & | Point,
|  | const Standard_Real | First,
|  | const Standard_Real | Last,
|  | const Standard_Real | Tol3d,
|  | const Standard_Real | Tolang
| ) |  |

## Member Function Documentation

void GeomFill_DegeneratedBound::Bounds | ( | Standard_Real & | First,
|  | Standard_Real & | Last
| ) |  | const
| virtual

Implements GeomFill_Boundary.

void GeomFill_DegeneratedBound::D1 | ( | const Standard_Real | U,
|  | gp_Pnt & | P,
|  | gp_Vec & | V
| ) |  | const
| virtual

Implements GeomFill_Boundary.

Standard_Boolean GeomFill_DegeneratedBound::IsDegenerated | ( |  | ) | const
| virtual

Implements GeomFill_Boundary.

void GeomFill_DegeneratedBound::Reparametrize | ( | const Standard_Real | First,
|  | const Standard_Real | Last,
|  | const Standard_Boolean | HasDF,
|  | const Standard_Boolean | HasDL,
|  | const Standard_Real | DF,
|  | const Standard_Real | DL,
|  | const Standard_Boolean | Rev
| ) |  |
| virtual

Implements GeomFill_Boundary.

gp_Pnt GeomFill_DegeneratedBound::Value | ( | const Standard_Real | U | ) | const
| virtual

Implements GeomFill_Boundary.

The documentation for this class was generated from the following file:

- GeomFill_DegeneratedBound.hxx